petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexCheckConesConformOnInterfaces

Check that points on inter-partition interfaces have conforming order of cone points. For example, if there is an edge (rank,index)=(0,2) connecting points cone(0,2)=[(0,0),(0,1)] in this order, and the point SF containts connections 0 <- (1,0), 1 <- (1,1) and 2 <- (1,2), then this check would pass if the edge (1,2) has cone(1,2)=[(1,0),(1,1)]. By contrast, if cone(1,2)=[(1,1),(1,0)], then this check would fail.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckConesConformOnInterfaces(DM dm)

### Input Parameters

dm -The DMPlex object

Note: This is mainly intended for debugging/testing purposes. Does not check cone orientation, for this purpose use DMPlexCheckFaces().

Developer Note: Interface cones are expanded into vertices and then their coordinates are compared.

### See Also

DMPlexGetCone(), DMPlexGetConeSize(), DMGetPointSF(), DMGetCoordinates(), DMPlexCheckFaces(), DMPlexCheckPointSF(), DMPlexCheckSymmetry(), DMPlexCheckSkeleton()

### Level

developer

### Location

src/dm/impls/plex/plexcheckinterface.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages